org.richfaces.component

## Class UIDragSupport

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.richfaces.component.UIDragSupport

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.component.Draggable
  Direct Known Subclasses:
    HtmlDragSupport

      public abstract class UIDragSupport
      extends org.ajax4jsf.component.AjaxActionComponent
      implements org.richfaces.component.Draggable

  JSF component class

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDragSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDragListener(org.richfaces.event.DragListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `org.richfaces.event.DragListener[]` | `getDragListeners()`
    `java.lang.String` | `getResolvedDragIndicator(javax.faces.context.FacesContext facesContext)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `removeDragListener(org.richfaces.event.DragListener listener)`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, getAjaxListeners, getSingleComponent, removeAjaxListener, setupReRender, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.Draggable

      `getDragIndicator, getDragListener, getDragType, getDragValue, getGrabbingCursors, getGrabCursors, getOndragend, getOndragstart, getOndropout, getOndropover, setDragIndicator, setDragListener, setDragType, setDragValue, setGrabbingCursors, setGrabCursors, setOndragend, setOndragstart, setOndropout, setOndropover`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

- - ### Constructor Detail

    - #### UIDragSupport

          public UIDragSupport()

  - ### Method Detail

    - #### addDragListener

          public void addDragListener(org.richfaces.event.DragListener listener)

      Specified by:
        `addDragListener` in interface `org.richfaces.component.Draggable`

    - #### removeDragListener

          public void removeDragListener(org.richfaces.event.DragListener listener)

      Specified by:
        `removeDragListener` in interface `org.richfaces.component.Draggable`

    - #### getDragListeners

          public org.richfaces.event.DragListener[] getDragListeners()

      Specified by:
        `getDragListeners` in interface `org.richfaces.component.Draggable`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.ajax4jsf.component.AjaxActionComponent`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.ajax4jsf.component.AjaxActionComponent`

    - #### getResolvedDragIndicator

          public java.lang.String getResolvedDragIndicator(javax.faces.context.FacesContext facesContext)

      Specified by:
        `getResolvedDragIndicator` in interface `org.richfaces.component.Draggable`

Copyright © 2014. All Rights Reserved.